SIM_MATRIX_KB(9)

NAME

sim_matrix_kb - convert HAL pin inputs to keycodes

SYNOPSIS

loadrt sim_matrix_kb [count=N|names=name1[,name2...]]

FUNCTIONS

sim-matrix-kb.N (requires a floating-point thread)

PINS

sim-matrix-kb.N.out u32 out
    pin that outputs the Keycode

sim-matrix-kb.N.button.c00.rMM bit in (MM=00..07)
    array of inputs

sim-matrix-kb.N.button.c01.rMM bit in (MM=00..07)
    array of inputs

sim-matrix-kb.N.button.c02.rMM bit in (MM=00..07)
    array of inputs

sim-matrix-kb.N.button.c03.rMM bit in (MM=00..07)
    array of inputs

sim-matrix-kb.N.button.c04.rMM bit in (MM=00..07)
    array of inputs

sim-matrix-kb.N.button.c05.rMM bit in (MM=00..07)
    array of inputs

sim-matrix-kb.N.button.c06.rMM bit in (MM=00..07)
    array of inputs

sim-matrix-kb.N.button.c07.rMM bit in (MM=00..07)
    array of inputs

AUTHOR

Chris S Morley

LICENSE

GPL